Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Interface DeleteResults

public interface DeleteResults

This class represents the results of a delete association operation.

Method Summary
`int` | `getFailCnt()`
`List` | `getFailList()` Provides a List of failures to the caller.
`String` | `getIdentifier()` Provides the identifier associated with the delete request.
`int` | `getSuccessCnt()`
`List` | `getSuccessList()` Provides a List of successfully deleted associations to the caller.

Method Detail

### getFailCnt

    public int getFailCnt()

  Returns:
    an integer describing the number of associations that failed to be deleted.

### getFailList

    public List getFailList()

  Provides a List of failures to the caller.

  Returns:
    the List of failures, typically a collection of AssociationException objects. If no failures have occured null will be returned.
  See Also:
    `AssociationException`

### getIdentifier

    public String getIdentifier()

  Provides the identifier associated with the delete request.

  Returns:
    the identifier associated with the delete request.

### getSuccessCnt

    public int getSuccessCnt()

  Returns:
    an integer describing the number of successfully deleted associations.

### getSuccessList

    public List getSuccessList()

  Provides a List of successfully deleted associations to the caller. Each entry in the List is a integer representing the unique id of the association.

  Returns:
    the List of unique association IDs for the successfully deleted associations. If no associations have been successfully deleted null will be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved